#ifndef _INCLUDED_LowPassFilter_H
#define _INCLUDED_LowPassFilter_H

#include <Foundation/NSObject.h>

#define AVG_LEN 5

@interface LowPassFilter : NSObject
{
    float accum;
    float rec[AVG_LEN];
}

- init;
- initWithValue: (float) value;
- (float) addNewValue: (float) value; // returns filtered value
- (float) filteredValue;

@end // LowPassFilter

#endif // _INCLUDED_LowPassFilter_H
