#ifndef _INCLUDED_SelectionCtrl_H
#define _INCLUDED_SelectionCtrl_H

#include <Foundation/NSObject.h>
#include <Foundation/NSGeometry.h>
#include "PHDefs.h"

@interface SelectionCtrl : NSObject
{
    float _shape;
    int   _span;
    BOOL  _tryLLJPEG;
}

- (id) init;

- (float) shape;
- (void) setShape: (float) value;

- (int) span;
- (void) setSpan: (int) value;

- (BOOL) tryLLJPEG;
- (void) setTryLLJPEG: (BOOL) value;

@end //@interface SelectionCtrl

#endif // _INCLUDED_SelectionCtrl_H
