#ifndef _INCLUDED_CursorRectInfo_H
#define _INCLUDED_CursorRectInfo_H

#include <Foundation/NSObject.h>
#include <Foundation/NSGeometry.h>

@class NSCursor;
@class NSView;

@interface CursorRectInfo : NSObject
{
    NSRect _rc;
    NSCursor * _cursor;
}

+ (id) infoWithRect: (NSRect) rc cursor: (NSCursor *) cursor;
- (id) initWithRect: (NSRect) rc cursor: (NSCursor *) cursor;
- (void) dealloc;
- (void) addToView: (NSView *) view;

@end // CursorRectInfo

#endif // _INCLUDED_CursorRectInfo_H
