#ifndef _INCLUDED_IMAGE_WINDOW_H
#define _INCLUDED_IMAGE_WINDOW_H

// #include <Foundation/Foundation.h>
// #include <AppKit/AppKit.h>

#include <Foundation/NSGeometry.h>
#include <AppKit/NSWindow.h>
#include <AppKit/NSBitmapImageRep.h>
#include "PHDefs.h"

@class NSString;

@interface ImageWindow : NSWindow
{
    NSString * _sourcePath;
}

- (id) init;
- (id) initWithContentRect: (NSRect)rect;
- (void) loadFile: (NSString *)fileName;
- (void) setRotationTo: (float) degrees;
- (BOOL) saveToFile: (NSString *) path;
- (NSBitmapImageFileType) sourceFileType;

- (BOOL) canEnableLLJPEG;
- (BOOL) tryLLJPEG;

@end

#endif // _INCLUDED_IMAGE_WINDOW_H
