#ifndef _INCLUDED_LosslessJPEG_H
#define _INCLUDED_LosslessJPEG_H

#include <Foundation/NSObject.h>
#include <Foundation/NSGeometry.h>

#define JPEGTRAN "/usr/bin/jpegtran"

@class NSString;
@class NSImage;
@class Fragment;

@interface LosslessJPEG : NSObject

+ (BOOL) isAvailable;
+ (BOOL) canCropFragment: (Fragment *) fragm fromImage: (NSImage *) image
                   error: (NSString **) error;
+ (BOOL) xformTo: (NSString *) dest from: (NSString *)src
           image: (NSImage *) img fragment: (Fragment *) fragm;

@end

#endif // _INCLUDED_LosslessJPEG_H
