#ifndef _INCLUDED_PHAffineTransform_H_
#define _INCLUDED_PHAffineTransform_H_

#include <Foundation/NSGeometry.h>
#include <AppKit/NSAffineTransform.h>

@class NSAffineTransform;

@interface NSAffineTransform (PhotoClip)

+ (NSAffineTransform *) transformToQIofRect: (NSRect) rect
                                      scale: (float) scale
                                   rotation: (int) degrees;

- (NSRect) transformRect: (NSRect) rect;

- (void) translateOrigCoordXBy: (float) dx yBy: (float) dy;

@end

#endif // _INCLUDED_PHAffineTransform_H_
