#ifndef _INCLUDED_Stack_H
#define _INCLUDED_Stack_H

#include <Foundation/NSObject.h>

@class NSMutableArray;

@interface Stack : NSObject
{
    NSMutableArray * _rep;
}

- (id) init;
- (id) initWithObject: (id) object;
- (void) push: (id) object;
- (id) pop;
- (void) removeAllObjects;
- (id) top;
- (int) depth;
- (BOOL) empty;

@end // @interface Stack

#endif // _INCLUDED_Stack_H
